package com.persagy.ems.pojo.wz;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.core.annotation.Column;
import com.persagy.core.annotation.Dimension;
import com.persagy.core.annotation.Entity;
import com.persagy.core.annotation.Index;
import com.persagy.core.annotation.Table;
import com.persagy.core.enumeration.Schema;
import com.persagy.core.mvc.pojo.BusinessObject;

@Dimension
@Entity(name = "BusinessApiStatic")
@Table(name = "t_apibusiness_static", comment = "业务接口访问统计", schema = Schema.EMS, indexes = {
		@Index(columns = { "c_ip", "c_hour_time" }),
		@Index(columns = { "c_hour_time", "c_ip", "c_api" }, unique = true),
		@Index(columns = { "c_hour_time", "c_api" })})
public class BusinessApiStatic extends BusinessObject {
	private static final long serialVersionUID = -3111604843136305804L;
	@JsonProperty("ip")
	@Column(order = 1, name = "c_ip", length = 100, nullable = false, comment = "ip地址")
	private String ip;
	@JsonProperty("api")
	@Column(order = 2, name = "c_api", length = 100, nullable = false, comment = "接口名")
	private String api;
	@Column(order = 3, name = "c_num", length = 10, nullable = true, comment = "请求次数")
	@JsonProperty("num")
	private Integer num;
	@JsonProperty("hourTime")
	@Column(order = 4, name = "c_hour_time", length = 0, nullable = false, comment = "开始统计时间")
	private Date hourTime;
	@JsonProperty("updateTime")
	@Column(order = 5, name = "c_update_time", length = 0, nullable = false, comment = "数据保存时间")
	private Date updateTime;
	@JsonProperty("remark")
	@Column(order = 6, name = "c_remark", length = 255, nullable = true, comment = "备注ip地址")
	private String remark;
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public String getApi() {
		return api;
	}
	public void setApi(String api) {
		this.api = api;
	}
	public Date getHourTime() {
		return hourTime;
	}
	public void setHourTime(Date hourTime) {
		this.hourTime = hourTime;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
}
